package sgc.portal.cw.cw0204.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0204.dto.CW02040001USearch;
import sgc.portal.cw.cw0204.model.CW02040001U;

import java.util.List;

@Mapper
public interface CW02040001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW02040001USearch search);
    
    int getCheckDay(CW02040001U cW02040001U);
    
    int getCheck64(CW02040001U cW02040001U);

    int insert(CW02040001U cW02040001U);

    int update(CW02040001U cW02040001U);

    int delete(CW02040001U cW02040001U);
    
    int approve(CW02040001U cW02040001U);
}
